=== debian/changelog ===
ipe (7.0.10-2) unstable; urgency=low

  * control(ipe): Change dependency on lua interpreter (lua5.1) from
    depends to recommends.  Closes: #561721.
  
  * patches/build-nostrip.patch: New.  Install in staging directory
    without stripping, so that DEB_BUILD_OPTION 'nostrip' can be honoured.
    Closes: #437230.
  
  * rules: Install fontmap.xml correctly. Install ipe.so symlink in lua's
    package.cpath so that lua scripts can find ipe.  Closes: #562785.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Dec 2009 18:11:32 -0600

ipe (7.0.10-1) unstable; urgency=low

  * New upstream.  Closes: #551192.
    - New build-depends: libcairo2-dev, liblua5.1-0-dev, gsfonts
    - patches/config.diff: Remove.  Upstream build system replaced.
    - Runtime lib package changed to libipe7.0.10 from libipe1c2a
    - Devel package renamed to libipe-dev (from libipe1-dev)
    - Package ipe depends on lua5.1 due to ipe-update-master.
  
  * rules: Re-write to use dh.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Dec 2009 21:22:35 -0600

ipe (6.0pre32patch1-1) unstable; urgency=low

  * New upstream.
    - debian/patches/fix-version.diff: Remove.  Applied upstream.
    - debian/control: Remove conflicts with libfreetype6; upstream has
      removed run-time checks.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2009 12:15:53 -0500

ipe (6.0pre32-2) unstable; urgency=low

  * debian/control: Update to build with freetype 2.3.9.  Update
    Standards-Version to 3.8.1.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Mar 2009 00:09:40 -0500

ipe (6.0pre32-1) unstable; urgency=low

  * New upstream.
    - debian/patches/fix-version.diff: New.  Set IPEVERS correctly.
    - debian/patches/update-webpages.diff: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Nov 2008 22:10:26 -0600

ipe (6.0pre31-1) unstable; urgency=low

  * New upstream.
    - debian/patches/gcc43.diff
    - debian/patches/ipe-bug-253.diff:
    - debian/patches/decimal-point.patch: Remove.  Applied upstream.
    - debian/patches/config.diff: Remove IPEBROWSER hunk; upstream changed
      it to sensible-browser.

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Nov 2008 04:25:40 -0600

ipe (6.0pre30-6) unstable; urgency=low

  * debian/rules: Support parallel builds.  Grep src/config.pri for
    IPEVERS, rather than including it.  Closes: #482748.  Ensure source
    cleaned before unapplying quilt patches.
  
  * Convert existing sources changes to quilt series; new patches:
    - debian/patches/update-webpages.diff
    - debian/patches/config.diff
    - debian/patches/ipe-bug-253.diff
    - debian/patches/gcc43.diff

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Nov 2008 03:35:01 -0600

ipe (6.0pre30-5) unstable; urgency=low

  * debian/control: Adjust dependencies for freetype 2.3.7.  Replace
    recommends of "latex-ucs" by "texlive-latex-recommended".

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Jul 2008 21:59:45 -0500

ipe (6.0pre30-4) unstable; urgency=low

  * debian/control: Adjust dependencies for new freetype version.  Closes:
    #487041.  Remove (now obsolete) tetex-bin alternative from ipe
    dependencies.  Update to standards version 3.8.0.0.
  
  * debian/ipe.doc-base: Change section from Apps/Graphics to Graphics.

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Jun 2008 10:01:56 -0500

ipe (6.0pre30-3) unstable; urgency=low

  * debian/control:
  * debian/rules: Build using quilt.

  * debian/patches/decimal-point.patch: Set the LC_NUMERIC to "C" at
    program startup, to ensure decimal point is a period, not a comma.
    Closes: #480659.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 May 2008 23:00:04 -0500

ipe (6.0pre30-2) unstable; urgency=low

  * debian/control: Merge repeated Conflicts line for libipe1c2a.  Closes:
    #464303.  Add Homepage field; remove homepage from ipe description.
    Add sharutils build-dep.  Upgrade to standards-version 3.7.3; no
    changes required.  Switch from substvar Source-Version to
    binary:Version.

  * debian/rules: Install desktop file and icon.  Closes: #451022.  Note
    that I'm not applying the stylesheet part of the patch.
  
  * src/ipelib/ipedct.cpp:
  * src/ipelib/ipepdfwriter.cpp: Include <cstring>, to build with GCC 4.3
    (thanks brian m. carlson).  Closes: #454844.
  
  * src/ipecanvas/ipecanvaspainter.cpp:
  * src/ipecanvas/ipecanvaspainter.h:
  * src/ipecanvas/ipefonts.cpp:
  * src/ipelib/ipepdfparser.cpp: Applied patch dated 2007-12-14 for Ipe
    bug 253 (see http://http.theano.de/bugzilla).  Closes: #455247.

  * ipe/menu.ipe: Change from section Apps/ to section Applications/ per
    menu documentation.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2008 00:49:24 -0600

ipe (6.0pre30-1) unstable; urgency=low

  * New upstream version.
    - Ipe now works with pdftex 1.40 (in MikTeX 2.6 and texlive 2007).
      Closes: #432043.

  * debian/control: Update download URL.  Closes: #433309.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Dec 2007 07:24:19 -0600

ipe (6.0pre28-4) unstable; urgency=low

  * debian/control: Update depends and conflicts to new freetype (version
    2.3.5).  Closes: #432476.
  
  * debian/control: Add (<< 2007) to dependency on texlive-latex-base,
    since ipe can't cope with the output of version 1.40 of Pdflatex
    (included in in TexLive 2007).  Closes: #432043.
  
  * Update homepage URL.  Closes: #427388.
  
  * src/config.pri: Remove -Werror as upstream suggests
    (http://s105.theano.de/cgi-bin/bugzilla/show_bug.cgi?id=227).  Closes:
    #417675.

 -- Steve M. Robbins <smr@debian.org>  Tue, 10 Jul 2007 23:23:09 -0500

ipe (6.0pre28-3) unstable; urgency=low

  * Apply patch http://tclab.kaist.ac.kr/ipe/pdftex1.40patches.zip
  to enable Ipe to parse output of new pdftex 1.40.  See
  http://mail.cs.uu.nl/pipermail/ipe-discuss/2007-February/000622.html

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Apr 2007 20:26:00 -0500

ipe (6.0pre28-2) unstable; urgency=low


