=== debian/control ===
Source: ipe
Homepage: http://tclab.kaist.ac.kr/ipe/
Section: graphics
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: sharutils, debhelper (>= 7.0.50~), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 3.8.3.0

Package: ipe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
Recommends: lua5.1
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.1 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.0.10
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libipe7.0.10 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.
