=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.0.10

%:
	dh --sourcedirectory=src $@

install: fontmap.xml debian/ipetoipe

override_dh_install: fontmap.xml
	dh_install
	dh_install fontmap.xml usr/share/ipe/$(IPEVER)

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc
	dh_link usr/lib/libipelua.so.$(IPEVER) usr/lib/lua/5.1/ipe.so

fontmap.xml: fontmaps/gsfonts-fontmap.xml
	cp $< $@

# TODO: install and use wrapper to avoid issue #405294.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,$(MYIPELIBDIR),'
	chmod +x $@

# TODO: do we need the icon?
ipe.png: debian/ipe.png.uu
	uudecode -o $@ $<
