## ipe 7.0.14

=== src/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 ipelets/kgon: ipelib
 ipelets/image: ipelib
 ipelets/qvoronoi: ipelib
-ipe6update: ipelib
+ipe6upgrade: ipelib
 ipeextract: ipelib
 ipecairo: ipelib
 iperender: ipelib ipecairo
