=== src/ipe/Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 all: $(TARGET)
 
-sources	= main.cpp appui.cpp tools.cpp lfs.cpp uilua.cpp
-moc_headers = appui.h
+sources	= main.cpp appui.cpp tools.cpp lfs.cpp uilua.cpp pagesorter.cpp
+moc_headers = appui.h pagesorter.h
 
 ifdef WIN32
 CXXFLAGS += -mwindows
@@ -63,6 +63,7 @@
 	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
 	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLES)
+	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) ../../styles/presentation.isy \
 			 $(INSTALL_ROOT)$(IPESTYLES)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
