=== src/ipeqtcanvas/Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 all: $(TARGET)
 
-sources	= ipeqtcanvas.cpp ipetool.cpp
-moc_headers = ipeqtcanvas.h
+sources	= ipeqtcanvas.cpp ipetool.cpp ipeselector.cpp
+moc_headers = ipeqtcanvas.h ipeselector.h
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
@@ -35,6 +35,9 @@
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
+	$(INSTALL_FILES) ipeqtcanvas.h $(INSTALL_ROOT)$(IPEHEADERDIR)
+	$(INSTALL_FILES) ipetool.h $(INSTALL_ROOT)$(IPEHEADERDIR)
+	$(INSTALL_FILES) ipeselector.h $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_SYMLINKS)
 
 # --------------------------------------------------------------------
