=== debian/changelog ===
ipe (7.0.14-1) unstable; urgency=low

  * New upstream.  Update control, rules.
  
  * libipe7.0.13.install:
  * ipe.links: Remove.  Replace with explicit calls in rules using
    $(IPEVERS).  Fixes lua link.  Closes: #611560.

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Feb 2011 23:06:48 -0600

ipe (7.0.13-1) UNRELEASED; urgency=low

  * New upstream.

  * Move to debian-science SVN repository.  Closes: #584408.

 -- Steve M. Robbins <smr@debian.org>  Mon, 03 Jan 2011 22:23:16 -0600
