=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Homepage: http://tclab.kaist.ac.kr/ipe/
 Section: graphics
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 7.0.50~), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
+Build-Depends: sharutils, debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.8.3.0
+Standards-Version: 3.9.1
 
 Package: ipe
 Architecture: any
@@ -36,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.0.10
+Package: libipe7.0.14
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -50,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.0.14 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
