=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,17 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.0.10
+IPEVER = 7.0.14
 
 %:
-	dh --sourcedirectory=src $@
+	dh $@ --parallel --sourcedirectory=src
 
 install: fontmap.xml debian/ipetoipe
 
 override_dh_install: fontmap.xml
 	dh_install
 	dh_install fontmap.xml usr/share/ipe/$(IPEVER)
+	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib
 
 override_dh_link:
 	dh_link
