## ipe 7.1.0

=== src/Makefile ===
--- 
+++ 
@@ -6,18 +6,20 @@
 
 subdirs = \
 	ipelib \
-	ipelets/image \
 	ipelets/lua \
 	ipetoipe \
 	ipe6upgrade \
 	ipeextract \
+	ipescript \
 	ipecairo \
 	iperender \
-	ipeqtcanvas \
+	ipecanvas \
 	ipeview \
 	ipelua \
 	ipeui \
 	ipe
+
+#	ipelets/image \
 
 .PHONY: all $(subdirs)
 
@@ -34,6 +36,7 @@
 ipeqtcanvas: ipelib ipecairo
 ipeview: ipeqtcanvas
 ipelua: ipelib
+ipescript: ipelib ipelua
 ipe: ipeqtcanvas ipelua
 
 $(subdirs):
