=== debian/changelog ===
ipe (7.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Tue, 30 Aug 2011 00:20:55 -0500
