=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.0.14
+Package: libipe7.1.0
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.0.14 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.0 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
