=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.0.14
+IPEVER = 7.1.0
 
 %:
-	dh $@ --parallel --sourcedirectory=src
+	dh $@ --sourcedirectory=src
 
 install: fontmap.xml debian/ipetoipe
