=== debian/changelog ===
ipe (7.1.1-1) unstable; urgency=low

  * New upstream.
    - Re-enabled compilation of omitted image ipelet.  Closes: #651594
  
  * debian/patches/fPIC.patch: New.  Build using -fPIC instead of -fpic.
    Closes: #641082.

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Dec 2011 16:55:09 -0600
