=== debian/changelog ===
ipe (7.1.2-1) unstable; urgency=low

  * New upstream.
  
  * ipe.preinst: New.  Remove old directory /usr/share/doc/ipe/doc if it
    exists on upgrade.  That path is now a symlink, but linking fails if
    the directory is there.  Closes: #654922.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Jan 2012 22:33:06 -0600
