## ipe 7.1.3

=== debian/changelog ===
ipe (7.1.3-1) unstable; urgency=low

  * New upstream.  Update to standards-version 3.9.4, debhelper compat
    level 9.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Jan 2013 00:11:36 -0600
