=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: ipe
 Architecture: any
@@ -39,7 +39,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.2
+Package: libipe7.1.3
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.2 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.3 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
