## ipe 7.1.4

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 subdirs = \
 	ipelib \
 	ipelets/lua \
+	ipelets/image \
 	ipetoipe \
 	ipe6upgrade \
 	ipeextract \
@@ -18,8 +19,6 @@
 	ipelua \
 	ipeui \
 	ipe
-
-#	ipelets/image \
 
 .PHONY: all $(subdirs)
 
@@ -33,11 +32,11 @@
 ipeextract: ipelib
 ipecairo: ipelib
 iperender: ipelib ipecairo
-ipeqtcanvas: ipelib ipecairo
-ipeview: ipeqtcanvas
+ipecanvas: ipelib ipecairo
+ipeview: ipecanvas
 ipelua: ipelib
 ipescript: ipelib ipelua
-ipe: ipeqtcanvas ipelua
+ipe: ipecanvas ipelua
 
 $(subdirs):
 	$(MAKE) --directory=$@ $(GOAL)
