=== src/ipecairo/Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 sources	= \
 	ipecairopainter.cpp \
 	ipefonts.cpp	\
-	ipestdfonts.cpp	   
+	ipestdfonts.cpp	\
+	ipethumbs.cpp
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
