=== src/ipelib/Makefile ===
--- 
+++ 
@@ -14,9 +14,9 @@
 ifndef WIN32
 CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
 endif
-CPPFLAGS += $(ZLIB_CFLAGS)
+CPPFLAGS += $(IPE_USE_ICONV) $(ZLIB_CFLAGS) $(ICONV_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(ZLIB_LIBS)
+LIBS += $(ZLIB_LIBS) $(ICONV_LIBS)
 
 all: $(TARGET)
