=== debian/changelog ===
ipe (7.1.4-2) unstable; urgency=low

  * copyright: Updated with patch from Felix Geyer.  Closes: #729740.
  * patches/default-editor.patch: New.  Change hardcoded default editor
    (when EDITOR not defined) to "xterminal-emulator -e editor", as
    suggested by Francesco Poli.  Closes: #728480.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Nov 2013 22:28:30 -0600

ipe (7.1.4-1) unstable; urgency=low

  * New upstream.  Closes: #703269.

 -- Steve M. Robbins <smr@debian.org>  Mon, 04 Nov 2013 23:10:27 -0600
