=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.1-0-dev, gsfonts
+Build-Depends: sharutils, debhelper (>= 9), libqt4-dev, qt4-dev-tools, libfreetype6-dev (>= 2.3.9), zlib1g-dev, libcairo2-dev, liblua5.2-dev, gsfonts
 Build-Conflicts: libipe1-dev
 Standards-Version: 3.9.4
 
 Package: ipe
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
-Recommends: lua5.1
+Recommends: lua5.2
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -34,12 +34,12 @@
   * The text model is based on Unicode, and has been tested with Korean,
      Chinese, and Japanese.
  .
- Package lua5.1 is recommended if using Ipe with LaTeX.
+ Package lua5.2 is recommended if using Ipe with LaTeX.
  .
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.3
+Package: libipe7.1.4
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,7 +53,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.1.4 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
