=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.1.3
+IPEVER = 7.1.4
 
 %:
 	dh $@ --sourcedirectory=src
